Bug 189140 - hplip fax functionality depends on hpijs
Summary: hplip fax functionality depends on hpijs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-17 16:36 UTC by Bernard Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 08:41:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernard Johnson 2006-04-17 16:36:29 UTC
Description of problem:
If hpijs is not installed, cups will give an error when the fax backend is
started - for example when something is faxed.

Version-Release number of selected component (if applicable):
hplip-0.9.10-1.2 (from updates-testing)

How reproducible:
always

Steps to Reproduce:
1. rpm -e hpijs
2. tail -f /var/log/cups/error_log
3. hp-sendfax
4. select a document to fax, click "add to list"
  
Actual results:
I [16/Apr/2006:21:10:29 -0600] Job 3 queued on 'HP_Color_LaserJet_2840_fax' by
'bjohnson'.
I [16/Apr/2006:21:10:29 -0600] Started filter /usr/lib/cups/filter/texttops (PID
3977) for job 3.
I [16/Apr/2006:21:10:29 -0600] Started filter /usr/lib/cups/filter/pstops (PID
3978) for job 3.
I [16/Apr/2006:21:10:29 -0600] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 3979) for job 3.
I [16/Apr/2006:21:10:29 -0600] Started backend /usr/lib/cups/backend/hpfax (PID
3980) for job 3.
E [16/Apr/2006:21:10:30 -0600] PID 3979 stopped with status 3!
I [16/Apr/2006:21:10:30 -0600] Hint: Try setting the LogLevel to "debug" to find
out more.
E [16/Apr/2006:21:10:31 -0600] PID 3980 stopped with status 1!
I [16/Apr/2006:21:10:31 -0600] Hint: Try setting the LogLevel to "debug" to find
out more.
I [16/Apr/2006:21:10:31 -0600] Saving printers.conf...



Expected results:
with hpijs installed:
I [16/Apr/2006:21:12:37 -0600] Adding start banner page "none" to job 4.
I [16/Apr/2006:21:12:37 -0600] Adding end banner page "none" to job 4.
I [16/Apr/2006:21:12:37 -0600] Job 4 queued on 'HP_Color_LaserJet_2840_fax' by
'bjohnson'.


Additional info:

Comment 1 Tim Waugh 2006-04-18 17:43:01 UTC
Please try hplip-0.9.10-1.3.

Comment 2 Bernard Johnson 2006-04-19 03:08:56 UTC
Looks good.


Note You need to log in before you can comment on or make changes to this bug.